## physamp 0.2.0

=== CMakeLists.txt ===
# CMake script for the physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(physamp CXX)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF()

SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NOT DOC_COMPRESS)
  SET(DOC_COMPRESS gzip CACHE STRING
      "Set program for compressing documentation."
      FORCE)
ENDIF(NOT DOC_COMPRESS)

IF(NOT DOC_COMPRESS_EXT)
  SET(DOC_COMPRESS_EXT gz CACHE STRING
      "Set extension of compressed documentation."
      FORCE)
ENDIF(NOT DOC_COMPRESS_EXT)


IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)


#static linkage?
IF(NOT BUILD_STATIC)
  SET(BUILD_STATIC FALSE CACHE BOOL
      "Enable static linkage."
      FORCE)
ENDIF()
IF(BUILD_STATIC)
  MESSAGE("-- Static linkage requested.")
  SET(CMAKE_CXX_FLAGS "-static -static-libgcc ${CMAKE_CXX_FLAGS}")
ENDIF()

#build info?
IF(NOT DEFINED INFO)
  SET(INFO UNIX)
ENDIF(NOT DEFINED INFO)

#build man pages?
IF(NOT DEFINED MAN)
  SET(MAN UNIX)
ENDIF(NOT DEFINED MAN)

#find executables for documentation
IF(MAN)
  FIND_PROGRAM(NROFF_EXE NAMES nroff)
  IF(NROFF_EXE)
    MESSAGE("-- Found nroff here: ${NROFF_EXE}")
    MESSAGE("   Adding targets: man")

        ADD_CUSTOM_TARGET(man
          ALL
          #COMMAND cp bppphysamp.1.txt bppphysamp.1
          #COMMAND ${DOC_COMPRESS} -f bppphysamp.1
            COMMAND cp bppalnoptim.1.txt bppalnoptim.1
            COMMAND ${DOC_COMPRESS} -f bppalnoptim.1
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
            )
    SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "man/bppalnoptim.1.${DOC_COMPRESS_EXT};man/bppphysamp.1.${DOC_COMPRESS_EXT};")

  ELSE()
    MESSAGE(FATAL_ERROR "Program nroff required but not found.")
  ENDIF()
ENDIF(MAN)

IF(INFO)
  FIND_PROGRAM(MAKEINFO_EXE NAMES makeinfo)
  IF(MAKEINFO_EXE)
    MESSAGE("-- Found makeinfo here: ${MAKEINFO_EXE}")
    MESSAGE("   Adding targets: info, html")
 
    SET(ADD_INFO_TO "ALL")
    MESSAGE("   Adding target info to target all")
    
    ADD_CUSTOM_TARGET(info
      ${ADD_INFO_TO}
      COMMAND ${MAKEINFO_EXE} physamp.texi
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
    )

    ADD_CUSTOM_TARGET(html
      COMMAND ${MAKEINFO_EXE} --html --css-ref=http://www.w3.org/StyleSheets/Core/Steely physamp.texi
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
      )
  ELSE(MAKEINFO_EXE)
    MESSAGE(FATAL_ERROR p"Program makeinfo required but not found.")
  ENDIF(MAKEINFO_EXE)
ENDIF(INFO)

FIND_PROGRAM(PDFTEX_EXE NAMES pdftex)
IF(PDFTEX_EXE)
  MESSAGE("-- Found pdftex here: ${PDFTEX_EXE}")
  MESSAGE("   Adding target: pdf")

  ADD_CUSTOM_TARGET(pdf
    COMMAND ${PDFTEX_EXE} physamp.texi
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc
    )
  SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "doc/physamp.pdf;doc/physamp.aux;doc/physamp.cp;doc/physamp.fn;doc/physamp.info;doc/physamp.ky;doc/physamp.log;doc/physamp.pg;doc/physamp.toc;doc/physamp.tp;doc/physamp.vr")
ENDIF(PDFTEX_EXE)

#here is a useful function:
MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find})
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})

  IF(BUILD_STATIC)
    SET(${lib_name}_STATIC_NAMES lib${lib_name}.a)
    FIND_LIBRARY(${lib_name}_STATIC_LIBRARY NAMES ${${lib_name}_STATIC_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})
    IF(${lib_name}_STATIC_LIBRARY)
      MESSAGE("-- Library ${lib_name} found here:")
      MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
      MESSAGE("   static libraries: ${${lib_name}_STATIC_LIBRARY}")
    ELSE()
      MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
    ENDIF()
    #add the dependency:
    SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_STATIC_LIBRARY})
  ELSE()
    SET(${lib_name}_NAMES ${lib_name} ${lib_name}.lib ${lib_name}.dll)
    FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})
    IF(${lib_name}_LIBRARY)
      MESSAGE("-- Library ${lib_name} found here:")
      MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
      MESSAGE("   dynamic libraries: ${${lib_name}_LIBRARY}")
    ELSE()
      MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
    ENDIF()
    #add the dependency:
    SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
  ENDIF()
  
ENDMACRO(IMPROVED_FIND_LIBRARY)

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

#Find the libraries. The order is very important for static linkage, it won't
#link if you change it!
IMPROVED_FIND_LIBRARY(LIBS bpp-phyl Bpp/Phyl/Tree.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-core Bpp/Clonable.h)

# Subdirectories
ADD_SUBDIRECTORY(physamp)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(man)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "physamp")
SET(CPACK_PACKAGE_VENDOR "Julien Y. Dutheil")
SET(CPACK_PACKAGE_VERSION "0.2.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "2")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Phylogenetic Sampler package")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.cmake"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.zip"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\.sh"
 ".*\\\\..*\\\\.swp"
 ".*stamp"
 "\\\\.sh"
 "bppSuite/\\\\..*"
 "bppSuite/bppphysamp"
 "bppSuite/bppalnoptim"
 "doc/physamp/"
 "doc/physamp\\\\.info"
 "doc/physamp\\\\.toc"
 "doc/physamp\\\\.vr"
 "doc/physamp\\\\.tp"
 "doc/physamp\\\\.log"
 "doc/physamp\\\\.fn"
 "doc/physamp\\\\.ky"
 "doc/physamp\\\\.cp"
 "doc/physamp\\\\.pg"
 "doc/physamp\\\\.aux"
 "doc/physamp\\\\.pdf"
 "man/.*\\\\.1.${DOC_COMPRESS_EXT}"
 "debian/tmp"
 "debian/physamp/"
 "debian/physamp\\\\.substvars"
 "debian/physamp\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)
IF (MACOS)
  SET(CPACK_GENERATOR "Bundle")
ENDIF()

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
IF("${CMAKE_GENERATOR}" MATCHES "Make")
  ADD_CUSTOM_TARGET(make_clean
    COMMAND ${CMAKE_MAKE_PROGRAM} clean
    WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
  )
  ADD_DEPENDENCIES(dist make_clean)

  ADD_CUSTOM_TARGET(make_clean_man
    COMMAND rm -f *.${DOC_COMPRESS_EXT}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/man
  )
  ADD_DEPENDENCIES(dist make_clean_man)
ENDIF()

IF(NOT NO_DEP_CHECK)
IF (UNIX)
#This creates deb packages:
ADD_CUSTOM_TARGET(origdist COMMAND cp ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz ../${CPACK_DEBSOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(origdist dist)
ADD_CUSTOM_TARGET(deb dpkg-buildpackage -uc -us -i${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(deb origdist)
ADD_DEPENDENCIES(deb info man)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist info man)

#ADD_DEPENDENCIES(info install)

ENDIF(UNIX)

ENDIF(NOT NO_DEP_CHECK)

=== doc/CMakeLists.txt ===
# CMake script for the physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

IF(INFO)
  INSTALL(FILES physamp.info DESTINATION share/info)
ENDIF(INFO)

=== man/CMakeLists.txt ===
# CMake script for the physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

IF(MAN)
  INSTALL(FILES bppalnoptim.1.gz DESTINATION share/man/man1)
ENDIF(MAN)

=== physamp/CMakeLists.txt ===
# CMake script for physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

#ADD_EXECUTABLE(bppphysamp PhyloSampler.cpp)
#TARGET_LINK_LIBRARIES(bppphysamp ${LIBS})
#SET_TARGET_PROPERTIES(bppphysamp PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

ADD_EXECUTABLE(bppalnoptim AlignmentOptimizer.cpp)
TARGET_LINK_LIBRARIES(bppalnoptim ${LIBS})
SET_TARGET_PROPERTIES(bppalnoptim PROPERTIES LINK_SEARCH_END_STATIC ${BUILD_STATIC})

# Install progs
INSTALL(TARGETS
  #bppphysamp
  bppalnoptim
  DESTINATION bin)

=== debian/changelog ===
physamp (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #834208)

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2016 08:24:09 +0200

=== debian/control ===
Source: physamp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               texinfo,
               libbpp-phyl-dev (>= 2.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/physamp.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/physamp.git
Homepage: http://biopp.univ-montp2.fr/forge/physamp

Package: physamp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: sample sequence alignment according to its corresponding phylogenetic tree
 The PhySamp package currently contains one program, bppalnoptim, which
 samples a sequence alignment by removing sequences in order to maximize
 the number of sites suitable for a given analysis. The program has three
 running modes:
  * Interactive: the user will be iteratively proposed a set of choices
    for sequence removal, with their corresponding site gains. The
    procedure stops when the user does not want to remove more sequences,
    and the resulting filtered alignment is written.
  * Automatic: the user enters an a priori criterion for stopping
    the filtering procedure (for instance a minimum number of
    sequences to keep).
  * Diagnostic: this mode allows one to plot the trade-off curve, by showing
    the site gain as a function of the number of removed sequences.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all # does not build
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

=== debian/watch ===
version=3

http://biopp.univ-montp2.fr/repos/sources/physamp physamp-(\d[-\d.]+)\.tar\.gz

## physamp 1.0.2

=== CMakeLists.txt ===
# CMake script for the physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
PROJECT(physamp CXX)

# Compile options
SET (CMAKE_CXX_FLAGS "-std=c++11 -Wall -Weffc++ -Wshadow -Wconversion")

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF()

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

#static linkage?
IF(NOT BUILD_STATIC)
  SET(BUILD_STATIC FALSE CACHE BOOL
      "Enable static linkage."
      FORCE)
ENDIF()
IF(BUILD_STATIC)
  MESSAGE("-- Static linkage requested.")
  SET(CMAKE_CXX_FLAGS "-static -static-libgcc -static-libstdc++ ${CMAKE_CXX_FLAGS}")
ENDIF()

# Check compression program
# COMPRESS_PROGRAM controls the choice of program
# COMPRESS_EXT can be used to override the file extension
if (NOT COMPRESS_PROGRAM)
  set (COMPRESS_PROGRAM gzip CACHE STRING "Set program for compressing documentation" FORCE)
endif ()
find_program (COMPRESS_BIN NAMES ${COMPRESS_PROGRAM} DOC "${COMPRESS_PROGRAM} compression program")
if (NOT COMPRESS_BIN)
  message (STATUS "${COMPRESS_PROGRAM} program not found, text doc will not be compressed")
else ()
  # Deduce COMPRESS_EXT for known compression programs if not set
  if (NOT COMPRESS_EXT)
    if (${COMPRESS_PROGRAM} STREQUAL "gzip")
      set (COMPRESS_EXT "gz")
    elseif (${COMPRESS_PROGRAM} STREQUAL "bzip2")
      set (COMPRESS_EXT "bz2")
    else ()
      set (COMPRESS_EXT "${COMPRESS_PROGRAM}") # Default: program name (works for xz/lzma)
    endif ()
  endif ()
  # Generate command line args (always add -c to output compressed file to stdout)
  if (${COMPRESS_PROGRAM} STREQUAL "gzip")
    # -n for no timestamp in files (reproducible builds)
    set (COMPRESS_ARGS -c -n)
  else ()
    set (COMPRESS_ARGS -c)
  endif ()
  message (STATUS "Found ${COMPRESS_BIN} compression program, using file extension .${COMPRESS_EXT}")
endif ()


# Find dependencies (add install directory to search)
IF (CMAKE_INSTALL_PREFIX)
  SET (CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF (CMAKE_INSTALL_PREFIX)

include (GNUInstallDirs)
find_package (bpp-phyl 11.0.0 REQUIRED)


# Subdirectories
ADD_SUBDIRECTORY(physamp)
ADD_SUBDIRECTORY(docs)
ADD_SUBDIRECTORY(man)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "physamp")
SET(CPACK_PACKAGE_VENDOR "Julien Y. Dutheil")
SET(CPACK_PACKAGE_VERSION "1.0.2")
SET(CPACK_PACKAGE_VERSION_MAJOR "1")
SET(CPACK_PACKAGE_VERSION_MINOR "0")
SET(CPACK_PACKAGE_VERSION_PATCH "2")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Phylogenetic Sampler package")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
SET(CPACK_SOURCE_GENERATOR "TGZ")
# /!\ This assumes that an external build is used
SET(CPACK_SOURCE_IGNORE_FILES
       "/build/" 
       "/\\\\.git/" 
       "/\\\\.gitignore" 
       ${CPACK_SOURCE_IGNORE_FILES}
       )

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist info man)

#ADD_DEPENDENCIES(info install)

ENDIF(UNIX)

ENDIF(NOT NO_DEP_CHECK)

=== debian/changelog ===
physamp (1.0.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #868919
  * d/watch pointing to Github
  * Fix homepage
  * debhelper 10
  * Adjust versioned Build-Depends
  * Standards-Version: 4.0.0 (no changes needed)

  [ Julien Y. Dutheil ]
  * Updated from upstream.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 20 Jul 2017 10:42:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: physamp
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Julien Dutheil <julien.dutheil@univ-montp2.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                texinfo,
-               libbpp-phyl-dev (>= 2.2.0)
-Standards-Version: 3.9.8
+               libbpp-phyl-dev (>= 2.3.1)
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/physamp.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/physamp.git
-Homepage: http://biopp.univ-montp2.fr/forge/physamp
+Homepage: https://jydu.github.io/physamp/
 
 Package: physamp
 Architecture: any

## physamp 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,7 +59,7 @@
   # Generate command line args (always add -c to output compressed file to stdout)
   if (${COMPRESS_PROGRAM} STREQUAL "gzip")
     # -n for no timestamp in files (reproducible builds)
-    set (COMPRESS_ARGS -c -n)
+    set (COMPRESS_ARGS -c9n)
   else ()
     set (COMPRESS_ARGS -c)
   endif ()
@@ -86,10 +86,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "physamp")
 SET(CPACK_PACKAGE_VENDOR "Julien Y. Dutheil")
-SET(CPACK_PACKAGE_VERSION "1.0.2")
+SET(CPACK_PACKAGE_VERSION "1.0.3")
 SET(CPACK_PACKAGE_VERSION_MAJOR "1")
 SET(CPACK_PACKAGE_VERSION_MINOR "0")
-SET(CPACK_PACKAGE_VERSION_PATCH "2")
+SET(CPACK_PACKAGE_VERSION_PATCH "3")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Phylogenetic Sampler package")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")

## physamp 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,7 @@
   # Generate command line args (always add -c to output compressed file to stdout)
   if (${COMPRESS_PROGRAM} STREQUAL "gzip")
     # -n for no timestamp in files (reproducible builds)
+    # -9 for maximum compression (lintian error)
     set (COMPRESS_ARGS -c9n)
   else ()
     set (COMPRESS_ARGS -c)
@@ -73,7 +74,7 @@
 ENDIF (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-phyl 11.0.0 REQUIRED)
+find_package (bpp-phyl 12.0.0 REQUIRED)
 
 
 # Subdirectories
@@ -86,10 +87,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "physamp")
 SET(CPACK_PACKAGE_VENDOR "Julien Y. Dutheil")
-SET(CPACK_PACKAGE_VERSION "1.0.3")
+SET(CPACK_PACKAGE_VERSION "1.1.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "1")
-SET(CPACK_PACKAGE_VERSION_MINOR "0")
-SET(CPACK_PACKAGE_VERSION_PATCH "3")
+SET(CPACK_PACKAGE_VERSION_MINOR "1")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Phylogenetic Sampler package")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")

=== docs/CMakeLists.txt ===
# CMake script for the physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

# Builds info, html, pdf doc.
# Info doc is built and install as part of "all" if makeinfo is found.
# Html doc is proposed as a "html" optional target if makeinfo is found.
# Pdf doc is proposed as a "pdf" optional target if makeinfo AND texi2dvi are found.

find_program (MAKEINFO NAMES makeinfo texi2any DOC "makeinfo doc generator program")
if (NOT MAKEINFO)
  message (STATUS "makeinfo program not found: 'info' and 'html' target disabled (builds info/html doc)")
else (NOT MAKEINFO)
  message (STATUS "Found makeinfo as '${MAKEINFO}': 'info' and 'html' target enabled (builds info/html doc)")

  set (input ${CMAKE_CURRENT_SOURCE_DIR}/physamp.texi)

  # Build and install info page
  set (output ${CMAKE_CURRENT_BINARY_DIR}/physamp.info)
  add_custom_command (
    OUTPUT ${output}
    COMMAND ${MAKEINFO} --no-split -o ${output} ${input}
    DEPENDS ${input}
    COMMENT "Generating info page"
    VERBATIM
    )

  # Install, and have "info" built with "all" (install needs the file to be built)
  if (NOT COMPRESS_BIN)
    # Install uncompressed info page
    install (FILES ${output} DESTINATION ${CMAKE_INSTALL_INFODIR})
    add_custom_target (info ALL DEPENDS ${output})
  else ()
    # Compress and install compressed file
    set (compressed_ouput ${output}.${COMPRESS_EXT})
    add_custom_command (
      OUTPUT ${compressed_ouput}
      COMMAND ${COMPRESS_BIN} ${COMPRESS_ARGS} ${output} > ${compressed_ouput}
      DEPENDS ${output}
      COMMENT "Compressing info page"
      VERBATIM
      )
    install (FILES ${compressed_ouput} DESTINATION ${CMAKE_INSTALL_INFODIR})
    add_custom_target (info ALL DEPENDS ${compressed_ouput})
  endif ()

  # Also provide a "html" target that builds html doc (not installed, and not part of "all").
  set (output ${CMAKE_CURRENT_BINARY_DIR}/physamp.html)
  set (makeinfo-css "http://www.w3.org/StyleSheets/Core/Steely")
  add_custom_command (
    OUTPUT ${output}
    COMMAND ${MAKEINFO} --html --css-ref=${makeinfo-css} --no-split -o ${output} ${input}
    DEPENDS ${input}
    COMMENT "Generating html doc"
    VERBATIM
    )
  add_custom_target (html DEPENDS ${output})

  # Provide a "pdf" target that builds pdf doc (not installed, not part of "all").
  find_program (TEXIDVI NAMES texi2dvi)
  if (TEXIDVI)
    message (STATUS "Found texi2dvi: 'pdf' target enabled (builds pdf doc)")
    set (output ${CMAKE_CURRENT_BINARY_DIR}/physamp.pdf)
    add_custom_command (
      OUTPUT ${output}
      COMMAND ${MAKEINFO} --pdf --Xopt=--clean -o ${output} ${input}
      DEPENDS ${input}
      COMMENT "Generating pdf doc"
      VERBATIM
      )
    add_custom_target (pdf DEPENDS ${output})
  endif ()
endif ()

=== man/CMakeLists.txt ===
# CMake script for the physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

# Build manpages.
# In practice, they are just compressed from the text files using COMPRESS_PROGRAM
# Manpages are built and installed as part of "all" if a COMPRESS_PROGRAM is found.

# Take all manpages files in the directory
file (GLOB manpage_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.1)

if (NOT COMPRESS_BIN)
  # Just install manpages from source
  foreach (manpage_file ${manpage_files})
    install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/${manpage_file} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
  endforeach (manpage_file)
else ()
  # Create a list of manpage targets
  set (manpage-targets)

  foreach (manpage_file ${manpage_files})
    # Compress manpage, install, add to manpage target list
    set (input ${CMAKE_CURRENT_SOURCE_DIR}/${manpage_file})
    set (output ${CMAKE_CURRENT_BINARY_DIR}/${manpage_file}.${COMPRESS_EXT})
    add_custom_command (
      OUTPUT ${output}
      COMMAND ${COMPRESS_BIN} ${COMPRESS_ARGS} ${input} > ${output}
      DEPENDS ${input}
      COMMENT "Compressing manpage ${manpage_file}"
      VERBATIM
      )
    install (FILES ${output} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    list (APPEND manpage-targets ${output})
    unset (input)
    unset (output)
  endforeach (manpage_file)

  # Add target "man", built with "all" (needed because install will fail if not built).
  add_custom_target (man ALL DEPENDS ${manpage-targets})
endif ()

=== physamp/CMakeLists.txt ===
# CMake script for physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

ADD_EXECUTABLE(bppalnoptim AlignmentOptimizer.cpp)
ADD_EXECUTABLE(bppphysamp PhyloSampler.cpp)
SET (physamp-targets
	bppalnoptim
	bppphysamp
  )

FOREACH (target ${physamp-targets})
  # Link (static or shared)
  IF (BUILD_STATIC)
    TARGET_LINK_LIBRARIES (${target} ${BPP_LIBS_STATIC})
    SET_TARGET_PROPERTIES (${target} PROPERTIES LINK_SEARCH_END_STATIC TRUE)
  ELSE (BUILD_STATIC)
    TARGET_LINK_LIBRARIES (${target} ${BPP_LIBS_SHARED})
    SET_TARGET_PROPERTIES (${target} PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
  ENDIF (BUILD_STATIC)
ENDFOREACH (target)

INSTALL (TARGETS ${physamp-targets} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
physamp (1.1.0-6) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump minimum cmake to 3.10. (Closes: #1113404)
  * d/watch: convert to v5 Github template.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 Oct 2025 20:21:44 +0200

physamp (1.1.0-5) unstable; urgency=medium

  * Team upload.
  * d/patches/unforce-cxxflags.patch: merge with upstream's flags,
    especially -std=c++11; forward our patch to upstream.
  * r/rules: enable full hardening
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Mar 2024 18:59:54 +0100

physamp (1.1.0-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 18:05:20 +0100

physamp (1.1.0-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 15:04:43 +0200

physamp (1.1.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Builds against Bio++ 2.4.1.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 11:29:32 +0100

physamp (1.1.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * shortened single line description
  * debian/upstream/metadata:
    - reference to paper
    - stated that there are no entries in catalogs

  [ Julien Y. Dutheil ]
  * New upstream version.
  * Compiles with -DCMAKE_BUILD_TYPE=RelWithDebInfo to generate debug info
    (lintian warning)
  * Point Vcs-fields to salsa.debian.org
  * Standards-Version: 4.1.4

  [ Andreas Tille ]
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 18 Apr 2018 16:28:13 +0200

physamp (1.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 03 Sep 2017 21:09:33 +0200

physamp (1.0.2-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Added bppsuite breaks+replaces statement
    Closes: #870228
  * Updated description to include bppPhySamp program.
  * Does not override debian cxx flags anymore.

  [ Andreas Tille ]
  * Standards-Version: 4.1.0 (no changes needed)
  * use `cme fix dpkg-control` to adjust line length in description

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 09 Aug 2017 23:25:04 +0200

=== debian/control ===
Source: physamp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Julien Dutheil <julien.dutheil@univ-montp2.fr>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               texinfo,
               libbpp-phyl-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/physamp
Vcs-Git: https://salsa.debian.org/med-team/physamp.git
Homepage: https://jydu.github.io/physamp/

Package: physamp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: sample sequence alignment corresponding to phylogeny
 The PhySamp package currently contains two programs: bppphysamp, which
 samples sequences according to their similarity, and bppalnoptim, which
 samples a sequence alignment by removing sequences in order to maximize
 the number of sites suitable for a given analysis. The bppalnoptim
 program has three running modes:
  * Interactive: the user will be iteratively proposed a set of choices
    for sequence removal, with their corresponding site gains. The
    procedure stops when the user does not want to remove more sequences,
    and the resulting filtered alignment is written.
  * Automatic: the user enters an a priori criterion for stopping
    the filtering procedure (for instance a minimum number of
    sequences to keep).
  * Diagnostic: this mode allows one to plot the trade-off curve, by
    showing the site gain as a function of the number of removed
    sequences.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
Version: 5

Template: Github
Owner: jydu
Project: physamp
